<?php require_once( 'couch/cms.php' ); ?>
<cms:template title='Idea Submission 02' clonable='1' order='0' hidden='0' access_level='10'>
	<cms:editable type='vote_updown' search_type='decimal' name='my_vote' />
    <cms:editable name='first_name' required='1' type='text' />
</cms:template>
<!doctype html>
<html>
<head>
	<meta charset="utf-8">
	<meta content="width=device-width, initial-scale=1.0" name="viewport">
	<title>Idea Submission</title>

	<link href="css/styles.css" media="screen" rel="stylesheet">		
	<link href="css/bootstrap.min.css" media="screen" rel="stylesheet"> 

</head>
<body>
<div class="container">
	<div class="header">
		<h3>Idea Submission</h3>
	</div>
	<div class="body">
    
        <cms:set submit_success="<cms:get_flash 'submit_success' />" />
        <cms:if submit_success >
            <div class="alert alert-success"><strong>Success:</strong> Your idea has been submitted.</div>
        </cms:if>
            



		<cms:form 
            masterpage=k_template_name 
            mode='create'
            enctype='multipart/form-data'
            method='post'
            anchor='0'
            >
            
            <cms:if k_success >
            

                <cms:check_spam email=frm_email />
                
                <cms:db_persist_form 
                    _invalidate_cache='0'
                    _auto_title='1'
                />
                
                <cms:if k_success >
                    <cms:set_flash name='submit_success' value='1' />
                    <cms:redirect k_page_link /> 

                    <cms:db_persist_form
			            my_vote=frm_vote
			        />
			        

                </cms:if>
            </cms:if>
            
            <cms:if k_error >
                <div class="alert alert-danger"><strong>Error:</strong> 
                    <cms:each k_error >
                        <br><cms:show item />
                    </cms:each>
                </div>
            </cms:if>
            


<div class="form-group">
	<label class="control-label" for="vote">Vote</label>
		<div class="row">
			<div class="col-xs-6">
			    <cms:input type='radio' name='vote' opt_values='Up=1 || Down=-1' /><br />

			    <input type="submit" name="submit" value="Vote"/>
			</div>
		</div>
</div>


			<div class="form-group <cms:if k_error_first_name>has-error</cms:if>">
				<label class="control-label" for="first-name">Idea <span class="required">*</span></label>
				<div class="row">
					<div class="col-xs-6">
						<cms:input class="form-control" id="first-name" name="first_name" placeholder="First" type="bound" value="" />
					</div>
				</div>
			</div>

            <div class="form-group <cms:if k_error_human >has-error</cms:if>">
				<label class="control-label" for="human">What colour is a blue apple? (4 characters required)</label>
				<cms:input class="form-control" id="human" name="human" type="text" required='1' validator='regex=/^blue$/i' />
			</div>
            
            <cms:if "<cms:not submit_success />" >
                <button class="btn btn-primary" type="submit">Submit Idea</button>
            </cms:if>
            
		</cms:form>
	</div>
	<div class="footer">
		<p>&copy; 2014 <a href="http://www.couchcms.com/"><u>Couch CMS</u></a></p>
	</div>
</div>
</body>
</html>
<?php COUCH::invoke(); ?>